{
Class TSystemtime is a component derived from the class Tlabel.
It gives you inside the caption one of these choice
 - The time coming from your system, blinking or not.
 - The date coming from your system, blinking or not.

Here are the extra properties of this component :
 Date :  Boolean, if set on true the caption will show the current date else it
         will show the time.
 Blink:  Boolean, if set on true the caption will be visible 2 seconds then
         invisible and so on. Set to false this property to make not blink the
         caption.
 Copyright : Hey, I did this component after all, :)

DISCLAIMER :
  This component is FREEWARE but it is still the property of it's author :
   Benot Standaert, 2001.
  You use this component AT YOUR OWN RISK. I wont be responsible for
  any kind of problem you might encounter. This component is given AS IS.
  If you do not agree with this disclaimer YOU CANNOT INSTALL THIS COMPONENT
  AND ALSO YOU CANNOT USE IT.

  Please, report any bugs and or comments to this Email : tactictoe@yahoo.fr
  I would also appreciate notification of any improvements or/and modification
  you might make to this component!
}
unit SystemTime;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TSystemTime = class(TLabel)
  private
    { Private declarations }
  Tempo : TTimer;
  protected
    { Protected declarations }
  FCopyright : String;
  FDate      : Boolean;
  FBlink     : Boolean;
  public
    { Public declarations }
  constructor create (aowner: Tcomponent); Override;
  destructor destroy; override;
  procedure newtime (Sender: TObject);
  procedure Blinktime (Sender: TObject);
  published
    { Published declarations }
  property Date:Boolean         read FDate      write Fdate;
  property Blink:Boolean        read FBlink     write FBlink;
  property Copyright:String     read FCopyright;
  end;

procedure Register;

implementation

constructor TSystemTime.create;
 begin
  inherited create (AOwner);
  FCopyright := ' Benot Standaert, 2001';
  FDate := false;
  FBlink := false;
  Tempo := Ttimer.create (self);
   with Tempo do begin
    enabled := true;
    interval := 1000;
    ontimer := newtime;
   end;
 end;

destructor TSystemTime.destroy;
 begin
  tempo.destroy;
  inherited destroy;
 end;

procedure TSystemTime.newtime (Sender: TObject);
 begin
  If FDate = true then
   begin
    caption := datetostr (now);
   end
  else
   caption := timetostr (time);
  case FBlink of
   true  : blinktime (sender);
   false : visible := true;
  end;
 end;

procedure TSystemTime.Blinktime (Sender: TObject);
 begin
  visible := not visible;
 end;

procedure Register;
begin
  RegisterComponents('Benoit Standaert', [TSystemTime]);
end;

end.
